
const evals = require('puppeteer-evals');

evals();

// OR:
// require('puppeteer-evals')();


// -----



// ( assuming youve defined, and setup puppeteer, and have 'page' declared, which is required for all methods )

// all functions can now be called directly, no need to reference 'evals' again

/* {
     getInputs: {
       description: 'Get all input values',
       takes: [ 'page' ],
       returns: 'Array'
     },
     getTextareas: {
       description: 'Get all textarea values',
       takes: [ 'page' ],
       returns: 'Array'
     },
     getSelects: {
       description: 'Get all select values',
       takes: [ 'page' ],
       returns: 'Array'
     },
     getCheckboxes: {
       description: 'Get all checkbox values',
       takes: [ 'page' ],
       returns: 'Array'
     },
     getRadios: {
       description: 'Get all radio values',
       takes: [ 'page' ],
       returns: 'Array'
     },
     getButtons: {
       description: 'Get all button texts',
       takes: [ 'page' ],
       returns: 'Array'
     },
     getLinks: {
       description: 'Get all link hrefs',
       takes: [ 'page' ],
       returns: 'Array'
     },
     getInteractables: {
       description: 'Get all interactables',
       takes: [ 'page' ],
       returns: 'Object'
     },
     getPageText: {
       description: 'Get the page text',
       takes: [ 'page' ],
       returns: 'String'
     },
     getPageHtml: {
       description: 'Get the page html',
       takes: [ 'page' ],
       returns: 'String'
     },
     getPageAttributes: {
       description: 'Get the page attributes',
       takes: [ 'page', 'selector', 'attribute' ],
       returns: 'Array'
     },
     getPageRefs: {
       description: 'Get the page references',
       takes: [ 'page' ],
       returns: 'Array'
     },
     findElement: {
       description: 'Find an element',
       takes: [ 'page', 'selector' ],
       returns: 'Element'
     },
     findAllElements: {
       description: 'Find all elements',
       takes: [ 'page', 'selector' ],
       returns: 'Array'
     },
     getInnerText: {
       description: 'Get the inner text',
       takes: [ 'page', 'selector' ],
       returns: 'String'
     },
     getInnerHTML: {
       description: 'Get the inner html',
       takes: [ 'page', 'selector' ],
       returns: 'String'
     },
     getAttribute: {
       description: 'Get the attribute',
       takes: [ 'page', 'selector', 'attribute' ],
       returns: 'String'
     }
   }
*/


// Example:

getAttribute(page, 'input[name="username"]', 'value');


